%define name	x86-compat-libs
%define version	8.1
%define release	5mdk
%define compat	/emul/ia32-linux

Summary:	Runtime libraries for ix86 Mandrake Linux %{version} compatibility
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL/LGPL/X11/MIT
Source0:	x86-compat-libs-%{version}.tar.bz2
# (gb) 8.1-3mdk: ugly but needed for Sun JRE 1.3.1
Provides:	libodbc.so, libodbcinst.so
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
ExclusiveArch:	ia64
PreReq:		/sbin/ldconfig

%description
This package includes a number of run-time libraries that are compiled
on Mandrake Linux %{version} for Intel. This package is required if
you want run ix86 binaries on your IA-64 system.

%prep
%setup -q

%build
# The libraries and the loader are already in the tarball

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{compat}/lib
tar cf - lib/* | tar xf - -C $RPM_BUILD_ROOT/%{compat}

mkdir -p $RPM_BUILD_ROOT/lib
install -m 755 ldr/ld-linux.so.2 $RPM_BUILD_ROOT/lib/

# Don't strip and create symlinks, everything shall be fine in the tarball
export DONT_STRIP=1
export DONT_SYMLINK_LIBS=1

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/lib/ld-linux.so*
%{compat}/lib/*

%changelog
* Tue Oct 30 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.1-5mdk
- Add libplc4.so, libplds4.so (mozilla)

* Tue Oct 16 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.1-4mdk
- Add libXv, libXxf86dga, libcups (wine)

* Thu Oct 11 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.1-3mdk
- Add Provides: libodbc.so, libodbcinst.so (Sun JRE 1.3.1)

* Tue Oct  9 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.1-2mdk
- Add libstdc++-libc6.1-1 (netscape)
- Fix libodbcinst (Sun JRE 1.3.1)

* Mon Oct  1 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.1-1mdk
- First Mandrake Linux version
